## gnuradio 3.10.10.0

=== debian/changelog ===
gnuradio (3.10.10.0-1) unstable; urgency=medium

  * New upstream release.
    - Runtime
      * Modernize location of config files. XDG_CONFIG_HOME will be used if set
      (often $HOME/.config). This change attempts to be backward compatible with
      existing config file locations, but be aware that config files may show up
      in the old ($HOME/.gnuradio/) and new ($XDG_CONFIG_HOME/gnuradio)
      locations depending on GNU Radio version. Files are not automatically
      moved, since some users run multiple versions of GNU Radio.
      * Ctrlport Probe, Ctrlport Probe PSD and gr-ctrlport-monitor.
        Ctrlport Monitor blocks are still broken.
    - GRC
      * NEW Qt-based front end! Run gnuradio-companion --qt to try it
        out. This feature is still in testing, so the Gtk front end runs by
        default. In a future release, Qt will become the default, removing Gtk
        as a manditory dependency. Maintenance will focus on the Qt front end
        at that point.
      * Restore property field background colors (as a View option, off by
        default) for the Gtk front end. Background colors were previously
        replaced with textual type string.
      * The canvas can be panned using the middle mouse button
      * C++ code generation improvements related to parameters and strings
      * C++ code generation fixed for Add Const
    - gr-audio
      * Added 96 kHz and 192 kHz selections to ALSA source/sink
    - gr-blocks
      * Float To UChar block adds vector support,
        and also scale and bias params
    - gr-digital
      * Additive Scrambler adds soft symbol handling
      * Add callback to set header format in Digital Protocol Formatter
    - modtool
      * Improvements to handling of Python blocks
        (add, rm, and rename work reliably)
      * New parseable manifest format (yaml instead of md) to better
        support the OOT ecosystem
      * Manifest and examples are installed by "make install"
  * Update standards version to 4.7.0, no changes needed.

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 22 Apr 2024 17:03:08 -0400

gnuradio (3.10.10.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 06 Apr 2024 20:12:37 -0400

gnuradio (3.10.9.2-2) unstable; urgency=medium

  * Acknowledge NMU and adopt time_t64 changes.
  * Update dependencies (Closes: #1067058)

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 18 Mar 2024 07:52:26 -0400
