=== gnuradio-runtime/python/CMakeLists.txt ===
# Copyright 2012 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# SPDX-License-Identifier: GPL-3.0-or-later
#

########################################################################
include(GrPython)

add_subdirectory(gnuradio)
add_subdirectory(pmt)
