=== debian/changelog ===
gnuradio (3.10.11.0-2build4) plucky; urgency=medium

  * No-change rebuild against python3-numpy2-abi0

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 29 Jan 2025 22:31:04 +0000

gnuradio (3.10.11.0-2build3) plucky; urgency=medium

  * No-change rebuild for libspdlog1.15.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 25 Jan 2025 19:37:57 +0000

gnuradio (3.10.11.0-2build2) plucky; urgency=medium

  * No-change rebuild for Python 3.13 as the default.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 04 Jan 2025 05:18:59 +0100

gnuradio (3.10.11.0-2build1) plucky; urgency=medium

  * Rebuild against latest fmtlib

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 13 Nov 2024 10:08:00 -0500

gnuradio (3.10.11.0-2) unstable; urgency=medium

  * pdf-documentation patch: set larger pool_size

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 16 Aug 2024 06:04:10 -0400

gnuradio (3.10.11.0-1) unstable; urgency=medium

  * New upstream release.
  * Const (keyword) cleanup in a large number of files. QtGUI code uses const
    in many more places.
  * Runtime - Add `persistent()` function to gr paths module. This function
    returns either the value of the `XDG_CACHE_HOME` environment variable, or
    `appdata()/.local/state`.
  * GRC - Work continues on the Qt version of GRC (`gnuradio-companion --qt`).
    While the Gtk version is still the default, we're getting close to the
    point where the Qt version can be the default.
    - Generated Python code now includes a startup event (`flowgraph_started`)
    to the top level class. This was added specifically to avoid a race in the
    Variable Function Probe block, and may be useful elsewhere.
    - Struct variables have not been usable since around v3.8. Fixed!
    - Paths are now based on gr paths, where they were previous hardcoded to
      the user's home directory.
    - C++ hier block code paths fixed (so hier blocks work again).
    - Block connection line shape and width are now preferences.
  * gr-blocks - New Burst To Stream block transforms a bursty tagged stream
    into a continuous stream by inserting zeros in the output between input
    packets whenever no packets are available at the input.
  * gr-digital - FLL Band Edge power calculations fixed,
    along with thread safety issues.
  * gr-fec - Unused RS code removed - unlikely anyone will notice.
  * gr-filter- Numpy `float_` changed to `float64` for Numpy 2.0 compatibility.
  * gr-fft - Vector version of FFT `fft_v` library function (calls fftw)
    thread safety improved.
  * gr-uhd - Do not require PyQt5 for non-graphical configurations.
  * modtool - Many bug fixes and cleanups, resulting in more reliable
    operation. That sounds really good, right?
    - Remove dependency on the "click" package.
    - Appending new blocks to CMake files respects closing parens.

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 24 Jul 2024 09:36:37 -0400

gnuradio (3.10.11.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * upload to experimenal for soversion bump

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 10 Jul 2024 21:33:30 -0400
