=== debian/control ===
--- 
+++ 
@@ -3,10 +3,11 @@
 Priority: optional
 Maintainer: A. Maitland Bottoms <bottoms@debian.org>
 Build-Depends-Indep: doxygen-latex
-Build-Depends: dpkg-dev (>= 1.22.5), cmake (>= 3.16.3),
+Build-Depends: cmake (>= 3.16.3),
                cppzmq-dev [!hurd-amd64],
                debhelper-compat (= 13),
                dh-python,
+               dpkg-dev (>= 1.22.5),
                gir1.2-gtk-3.0,
                gir1.2-pango-1.0,
                graphviz,
@@ -185,7 +186,7 @@
  .
  Part of the main gnuradio build.
 
-Package: libgnuradio-analog3.10.10
+Package: libgnuradio-analog3.10.11
 Provides: ${t64:Provides}
 Section: libs
 Architecture: any
@@ -197,7 +198,7 @@
  These functions are also in gnuradio-core.
  Part of the main gnuradio build.
 
-Package: libgnuradio-audio3.10.10
+Package: libgnuradio-audio3.10.11
 Provides: ${t64:Provides}
 Section: libs
 Architecture: any
@@ -211,7 +212,7 @@
  automatically discover the correct one to use.  Part of the main
  gnuradio build.
 
-Package: libgnuradio-blocks3.10.10
+Package: libgnuradio-blocks3.10.11
 Provides: ${t64:Provides}
 Section: libs
 Architecture: any
@@ -223,7 +224,7 @@
  These functions are also in gnuradio-core.
  Part of the main gnuradio build.
 
-Package: libgnuradio-channels3.10.10
+Package: libgnuradio-channels3.10.11
 Provides: ${t64:Provides}
 Section: libs
 Architecture: any
@@ -235,7 +236,7 @@
  These functions are also in gnuradio-core.
  Part of the main gnuradio build.
 
-Package: libgnuradio-digital3.10.10
+Package: libgnuradio-digital3.10.11
 Provides: ${t64:Provides}
 Section: libs
 Architecture: any
@@ -247,7 +248,7 @@
  including bpsk, qpsk, gmsk and ofdm signals.
  Part of the main gnuradio build.
 
-Package: libgnuradio-dtv3.10.10
+Package: libgnuradio-dtv3.10.11
 Provides: ${t64:Provides}
 Section: libs
 Architecture: any
@@ -259,7 +260,7 @@
  DVB-S2, DVB-T, DVB-T2 digital video broadcast standards.
  Part of the main gnuradio build.
 
-Package: libgnuradio-fec3.10.10
+Package: libgnuradio-fec3.10.11
 Provides: ${t64:Provides}
 Section: libs
 Architecture: any
@@ -272,7 +273,7 @@
  decoders for no-op dummmy, repetition, and convolutional classes.
  Part of the main gnuradio build.
 
-Package: libgnuradio-fft3.10.10
+Package: libgnuradio-fft3.10.11
 Provides: ${t64:Provides}
 Section: libs
 Architecture: any
@@ -284,7 +285,7 @@
  Uses single precision FFT from libfftw3-single3.
  Part of the main gnuradio build.
 
-Package: libgnuradio-filter3.10.10
+Package: libgnuradio-filter3.10.11
 Provides: ${t64:Provides}
 Section: libs
 Architecture: any
@@ -297,7 +298,7 @@
  PFB arbitrary resampler methods.
  Part of the main gnuradio build.
 
-Package: libgnuradio-iio3.10.10
+Package: libgnuradio-iio3.10.11
 Provides: ${t64:Provides}
 Section: libs
 Architecture: linux-any
@@ -314,7 +315,7 @@
  .
  Part of the main gnuradio build.
 
-Package: libgnuradio-network3.10.10
+Package: libgnuradio-network3.10.11
 Provides: ${t64:Provides}
 Section: libs
 Architecture: any
@@ -326,7 +327,7 @@
  sink blocks supporting both IPv4 and IPv6.
  Part of the main gnuradio build.
 
-Package: libgnuradio-pdu3.10.10
+Package: libgnuradio-pdu3.10.11
 Provides: ${t64:Provides}
 Section: libs
 Architecture: any
@@ -339,8 +340,8 @@
  such blocks are analogs of streaming API functionality.
  Part of the main gnuradio build.
 
-Package: libgnuradio-pmt3.10.10
-Provides: ${t64:Provides}
-Section: libs
-Architecture: any
-Pre-Depends: ${misc:Pre-Depends}
+Package: libgnuradio-pmt3.10.11
+Provides: ${t64:Provides}
+Section: libs
+Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
